<?php
/**
 * @package LZ Fitness Premium
 */

function total_dymanic_styles(){
    global $post;
	$primColor = get_theme_mod( 'lz_fitness_template_color', '#1cb9c8' );
        $NavHeaderColor = get_theme_mod('lz_fitness_header_NavHeaderbackgroundColor', '#1cb9c8');
        $ToggleColor = get_theme_mod('lz_fitness_header_ToggleColor', '#1cb9c8');
        $lz_fitness_header_BorderRespColor = get_theme_mod('lz_fitness_header_BorderRespColor', '#252525');

	// $color_rgba = total_hex2rgba($color, 0.9);
	// echo 'light color: '.
	// $color_rgba = lz_fitness_hex2rgba($primColor, 0.9);
	$color_rgba = totalColourBrightness($primColor, 0.3);
	// echo '<br>Dark color: '.
	$darker_color = totalColourBrightness($primColor, -0.5);

	$header_image = get_header_image();
    // DYNAMIC FONTS
    // echo '<br> heading font '.
	$headeingFontRow = get_theme_mod('lz_fitness_general_headeing_font', '22');
    // echo '<br> text font '.
	$textFontRow = get_theme_mod('lz_fitness_general_text_font', '16');
    $header = get_theme_mod('header_textcolor', '#666666'); //header color

    $headerlogoTmargin = get_theme_mod('pages_logoTmargin', '10px');
    $headerlogoBmargin = get_theme_mod('pages_logoBmargin', '10px');
    $headerlogoLmargin = get_theme_mod('pages_logoLmargin', '0px');
    $headerlogoRmargin = get_theme_mod('pages_logoRmargin', '0px');

    $headingFont = getFonts(false, (int)$headeingFontRow);
    $textFont = getFonts(false, (int)$textFontRow);
    $custom_css = '';
    $custom_css = " body, * {font-family: $textFont;}
    h2.lz-about-heading, h2.lz-facility-heading, .ht-section-title, .lz-fitness-h2, .ht-title-wrap, .ht-slide-cap-title, .ht-slide-cap-title span, #ht-princing-post-section .ht-princing-icon,h1, h2, h3, h4, h5, h6,#pricing-page .ht-princing-icon .ht-slide-cap-descmore a{font-family: $textFont; }
        #ht-masthead { background: #FFF url('$header_image'); background-repeat: no-repeat; background-size: cover;}
        #ht-masthead, .ht-site-description a, .page-template-home-template .ht-main-navigation .menu-item > a, .ht-main-navigation a, .ht-main-navigation ul ul a {color: #{$header};}
    .page-template-home-template .ht-main-navigation .current_page_item > a {color: #000; background-color:none;}
    li.current_page_item > a {color: #ffffff;}

    .logobox img{margin-top: $headerlogoTmargin;}
    .logobox img{margin-bottom: $headerlogoBmargin;}
    .logobox img{margin-left: $headerlogoLmargin;}
    .logobox img{margin-right: $headerlogoRmargin;}

    ";

    $custom_css .= "
    button,
    input[type='button'],
    input[type='reset'],
    input[type='submit'],
    .widget-area .widget-title:after,
    h3#reply-title:after,
    h3.comments-title:after,
    .nav-previous a,
    .nav-next a,
    .pagination .page-numbers,    
    .ht-progress-bar-length,


    .ht-service-post-wrap:after,
    .ht-service-icon,
    .ht-counter:after,
    .ht-counter:before,
    .ht-testimonial-wrap .bx-wrapper .bx-controls-direction a,
    .ht-cta-buttons a.ht-cta-button1,
    .ht-cta-buttons a.ht-cta-button2:hover,
	#ht-back-top:hover,
    .entry-readmore a,
    .woocommerce #respond input#submit, 
    .woocommerce a.button, 
    .woocommerce button.button, 
    .woocommerce input.button,
    .woocommerce ul.products li.product:hover .button,
    .woocommerce #respond input#submit.alt, 
    .woocommerce a.button.alt, 
    .woocommerce button.button.alt, 
    .woocommerce input.button.alt,
    .woocommerce nav.woocommerce-pagination ul li a, 
    .woocommerce nav.woocommerce-pagination ul li span,
    .woocommerce span.onsale,
    .woocommerce div.product .woocommerce-tabs ul.tabs li.active,
    .woocommerce #respond input#submit.disabled, 
    .woocommerce #respond input#submit:disabled, 
    .woocommerce #respond input#submit:disabled[disabled], 
    .woocommerce a.button.disabled, .woocommerce a.button:disabled, 
    .woocommerce a.button:disabled[disabled], 
    .woocommerce button.button.disabled, 
    .woocommerce button.button:disabled, 
    .woocommerce button.button:disabled[disabled], 
    .woocommerce input.button.disabled, 
    .woocommerce input.button:disabled, 
    .woocommerce input.button:disabled[disabled],
    .woocommerce #respond input#submit.alt.disabled, 
    .woocommerce #respond input#submit.alt.disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled, 
    .woocommerce #respond input#submit.alt:disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled[disabled], 
    .woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
    .woocommerce a.button.alt.disabled, 
    .woocommerce a.button.alt.disabled:hover, 
    .woocommerce a.button.alt:disabled, 
    .woocommerce a.button.alt:disabled:hover, 
    .woocommerce a.button.alt:disabled[disabled], 
    .woocommerce a.button.alt:disabled[disabled]:hover, 
    .woocommerce button.button.alt.disabled, 
    .woocommerce button.button.alt.disabled:hover, 
    .woocommerce button.button.alt:disabled, 
    .woocommerce button.button.alt:disabled:hover, 
    .woocommerce button.button.alt:disabled[disabled], 
    .woocommerce button.button.alt:disabled[disabled]:hover, 
    .woocommerce input.button.alt.disabled, 
    .woocommerce input.button.alt.disabled:hover, 
    .woocommerce input.button.alt:disabled, 
    .woocommerce input.button.alt:disabled:hover, 
    .woocommerce input.button.alt:disabled[disabled], 
    .woocommerce input.button.alt:disabled[disabled]:hover,
    .woocommerce .widget_price_filter .ui-slider .ui-slider-range,
    #ht-princing-post-section .ht-princing-icon,
    #ht-princing-post-section .plan-amount,
	.ht-princing-icon,
	.plan-amount,
    .ht-princing-link a:hover,       
    .readmore a,
    .page-main-header,
    #ht-contactus-wrap .contact-page-form,
    .contact-mapbox iframe,
    #content-box ol li:before,
	.ht-slide-cap-descmore a,
	.ht-princing-link a,
	.days-time-day,
    .lz-facility-text ul li i,
    .post-right .blog-read-more a,
    .pagingation .current,
    .pagingation a:hover,
    .ht-appintment-member-wrap:after,
    .ht-main-navigation ul ul,
    #featured-post-section .Featured-data:hover,
     #featured-new-section .featured-new-icon:hover,
    #featured-post-section .featured-readmore a.btn,
    .total-count .count,
    .sect-height-appointment-section:after,
    #quote-carousel .carousel-control:hover,
    .faq h6:after,
    .single-productpage #sidebars h3:after,
    #innerpage-box ul.ht-blog-date:before,
    #innerpage-box .inner-blog-post:hover ul.ht-blog-date:before,
    .post-date-publishable,
    #blog-box .excerpt .readMore a:hover,
    main#innerpage-box div#sitemap-box h3,
    .socialMedia a,
    .add-to-cart

    {
    	background:{$primColor};
    }

    
    .ht-post-info .entry-date span.ht-day,
    .entry-categories .fa,
    .widget-area a:hover,
    .comment-list a:hover,
    .no-comments,
    .ht-site-title a,
    .woocommerce .woocommerce-breadcrumb a:hover,
	#total-breadcrumbs a:hover,
    .ht-featured-link a,
    .ht-portfolio-cat-name-list .fa,
    .ht-portfolio-cat-name:hover, 
    .ht-portfolio-cat-name.active,
    .ht-portfolio-caption a,
    .ht-team-detail,
    .ht-counter-icon,
    .woocommerce ul.products li.product .price,
    .woocommerce div.product p.price, 
    .woocommerce div.product span.price,
    .woocommerce .product_meta a:hover,
    .woocommerce-error:before, 
    .woocommerce-info:before, 
    .woocommerce-message:before,
	.featured-post:after,
	.featured-post:before,
	.featured-link a,
    .breadcrumbbox a,
    #ht-colophon .social-profile-icons a:hover,
    footer#ht-colophon ul li a:hover,
    .ht-footer .textwidget .fa,
    h6.secondry-text,
    #ht-about-us-section ul li:before,
    #ht-team-section .team-member-designation,
    #innerpage-box .team-member-designation,
    .pluses.text-right i.fa.fa-plus,
    .ht-section-tagline.lz-newslatter-text b,
    #content-box ul li:before,
    .page-template-home-template .ht-main-navigation .current_page_item > a,
    #ht-site-navigation ul li a:hover,
    .header-social-links a:hover,
    .lz-featured-Post-heading:before,
    .lz-featured-Post-heading:after,
    .ht-slide-cap-desc span,
    .featured-new-post h5:hover,
    #ht-about-us-section .ht-section-tagline span,
    #ht-about-us-section .lz-about-text span,
    .ht-project-member .project-readmore a,
    .ht-team-social-id a:hover,
    .ht-team-member h6:hover,
    .faq-description p a,
    .contact-page-address a,
    .main#innerpage-box span.fa,
    div#sitemap-box ul li a:hover,
    #content-box ol li a,
    #commentsAdd p a,
    .product-name a,
    .cart_totals p a,
    #innerpage-box .socialMedia a:hover,
    .woocommerce p.stars a:hover,
    .star-rating,
    .edit-link a,
    .entry-content p a,
    #blog-box .excerpt h2 a,
    .woocommerce-MyAccount-navigation-link a,
    .woocommerce-MyAccount-navigation-link.is-active a:hover,
    .woocommerce-Address-title a,
    .woocommerce-product-rating a:hover,
    .ht-main-navigation li.current_page_item a,
    .woocommerce-shipping-calculator a,
    blockquote a,
    table th a,
    #content p a,
	.lz-fitness-time div:nth-child(8) div.days-time-day
	{
    	color:{$primColor};
    }

    .ht-main-navigation ul ul,
    .ht-featured-link a,
    .ht-counter,
    .ht-testimonial-wrap .bx-wrapper img,
    .ht-blog-post,
	#ht-colophon,
    .woocommerce ul.products li.product:hover, 
    .woocommerce-page ul.products li.product:hover,
    .woocommerce #respond input#submit, 
    .woocommerce a.button, 
    .woocommerce button.button, 
    .woocommerce input.button,
    .woocommerce ul.products li.product:hover .button,
    .woocommerce #respond input#submit.alt, 
    .woocommerce a.button.alt, 
    .woocommerce button.button.alt, 
    .woocommerce input.button.alt,
    .woocommerce div.product .woocommerce-tabs ul.tabs,
    .woocommerce #respond input#submit.alt.disabled, 
    .woocommerce #respond input#submit.alt.disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled, 
    .woocommerce #respond input#submit.alt:disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled[disabled], 
    .woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
    .woocommerce a.button.alt.disabled, 
    .woocommerce a.button.alt.disabled:hover, 
    .woocommerce a.button.alt:disabled, 
    .woocommerce a.button.alt:disabled:hover, 
    .woocommerce a.button.alt:disabled[disabled], 
    .woocommerce a.button.alt:disabled[disabled]:hover, 
    .woocommerce button.button.alt.disabled, 
    .woocommerce button.button.alt.disabled:hover, 
    .woocommerce button.button.alt:disabled, 
    .woocommerce button.button.alt:disabled:hover, 
    .woocommerce button.button.alt:disabled[disabled], 
    .woocommerce button.button.alt:disabled[disabled]:hover, 
    .woocommerce input.button.alt.disabled, 
    .woocommerce input.button.alt.disabled:hover, 
    .woocommerce input.button.alt:disabled, 
    .woocommerce input.button.alt:disabled:hover, 
    .woocommerce input.button.alt:disabled[disabled], 
    .woocommerce input.button.alt:disabled[disabled]:hover,
    .woocommerce .widget_price_filter .ui-slider .ui-slider-handle
	.ht-main-navigation .current_page_item > a,
    .ht-main-navigation .current-menu-item > a,
    .ht-main-navigation .current_page_ancestor > a,
	.ht-main-navigation li:hover > a,
    .page-template-home-template .ht-main-navigation li:hover > a,
    .home.blog .ht-main-navigation li:hover > a,
    .page-template-home-template .ht-main-navigation .current > a,
    .home.blog .ht-main-navigation .current > a,
	.featured-post:before,
    .ht-project-member .project-readmore a,
    #innerpage-box .ht-team-member-image,
    .ht-team-social-id a:hover,
    .lz-featured-Post-heading:before,
    .lz-featured-Post-heading:after,
    .lz-featured-new-heading:before,
    .lz-featured-new-heading:after,
    .lz-about-heading:before,
    .lz-about-heading:after,
    .lz-facility-heading:before,
    .lz-facility-heading:after,
    .lz-team-heading:before,
    .lz-team-heading:after,
    .lz-featured-product-heading:before,
    .lz-featured-product-heading:after, 
    .lz-testimonials-heading:before,
     .lz-testimonials-heading:after,
    .faq-heading:before,
    .faq-heading:after,
    .lz-blog-heading:before,
    .lz-blog-heading:after,
    .tag-heading:before,
    .tag-heading:after, 
    .ht-team-member-image,
    .lz-project-heading:before,
    .lz-project-heading:after,
    div#sitemap-box ul li a:hover,
    .lz-gallery-images:hover,
    .ht-gallery-member-image:hover,
    .newsletter-form-box input[type='email']
    {
    	border-color: {$primColor};
    }

	#ht-masthead,
    .woocommerce-error, 
    .woocommerce-info, 
    .woocommerce-message{
    	border-top-color: {$primColor};
    }

    .nav-next a:after{
    	border-left-color: {$primColor};
    }

    .nav-previous a:after{
    	border-right-color: {$primColor};
    }

    .ht-active .ht-service-icon{
    	box-shadow: 0px 0px 0px 2px #FFF, 0px 0px 0px 4px {$primColor};
    }

    .woocommerce ul.products li.product .onsale:after{
    	border-color: transparent transparent {$darker_color} {$darker_color};
    }

    .woocommerce span.onsale:after{
    	border-color: transparent {$darker_color} {$darker_color} transparent
    }


    @media screen and (max-width: 1000px){
    	.toggle-bar,
    	.ht-main-navigation .ht-menu{
    		background:{$primColor}
    	}
    }

    @media screen and (max-width: 768px){
        .navigation.menuopen{
            background:{$NavHeaderColor}
        }
        .hamburger-menus span{
            background:{$ToggleColor}
        }
        .navigation{
            border-color:{$lz_fitness_header_BorderRespColor} !important
        }
    }";
	
	
    // heading text colour 
    $headingColor = get_theme_mod('lz_fitness_title_color', '#fe5722');
    $custom_css .= '.title-color{color:'.$headingColor.';}';

	// START SECONDARY COLOR CSS
    $secondary = get_theme_mod('theme_secondary_color', '#ffffff');
    $custom_css .='
   .secondry-bg{
       // background-color:'.$secondary.'
    }	 
	 
	 
	 {border-color: '.$secondary.';}
 
	#ht-newslatter-section .lz-newslatter-heading,
	
	 {color:'.$secondary.';}	 
 
	 
	 {border-color: '.$secondary.';}
	 
	
	 {background-color:'.$secondary.'}
		';
    // ENDS SECONDARY COLOR CSS

     
	
    // Featured section
        if(get_theme_mod('lz_fitness_premium_featured_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_featured_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#featured-post-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_featured_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= '#featured-post-section {background-color: '.$color.';} .about-post{border-color:'.$color.';}';
        }
    }

// Featured New section
        if(get_theme_mod('lz_fitness_premium_featurednew_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_featurednew_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#featured-new-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_featurednew_bg_color', '#303030');
        if('#303030' != $color){
            $custom_css .= '#featured-new-section {background-color: '.$color.';} .about-post{border-color:'.$color.';}';
        }
    }

    // about section
    if(get_theme_mod('lz_fitness_premium_about_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_about_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#ht-about-us-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_about_bg_color', '#f5f5f5');
        if('#f5f5f5' != $color){
            $custom_css .= '#ht-about-us-section {background-color: '.$color.';}';
        }
    }

    // Team section 
    if(get_theme_mod('lz_fitness_premium_team_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_team_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#ht-team-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_team_bg_color', '#f6f6f6');
        if('#f6f6f6' != $color){
            $custom_css .= '#ht-team-section {background-color: '.$color.';}';
        }
    } 
    
 //faq
    if(get_theme_mod('lz_fitness_premium_faq_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_faq_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#faq-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_faq_bg_color', '#ffffff');
        if('#f1f1f1' != $color){
            $custom_css .= '#faq-section {background-color: '.$color.';}';
        }
    } 

    // gym 
    if(get_theme_mod('lz_fitness_premium_gym_section_background') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_gym_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#time-address-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_gym_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= '#time-address-section {background-color: '.$color.';} .time-post{border-color:'.$color.';}';
        }
    }
   
    
    // pricing 
    
     if(get_theme_mod('lz_fitness_premium_pricing_section_background') == 'on' ){
        $custom_css .= '#ht-princing-post-section {background-image: url(\''.get_theme_mod('lz_fitness_pricing_bg_image').'\');background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_pricing_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= '#ht-princing-post-section, #ht-princing-post-section .ht-featured-icon {background: '.$color.';}#ht-princing-post-section .ht-featured-link a {border-color: '.$color.';color: '.$color.';}';
        }else{
            // $custom_css .= '#ht-princing-post-section {background-image: url(\''. get_template_directory_uri().'/images/man-461195_1280.jpg'.'\');background-position: top;background-size: cover;}';
            $custom_css .= '.ht-plan-block{border-color:'.$primColor.'}';
        }
    }
    // newsletter


     if(get_theme_mod('lz_fitness_premium_newslatter_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_newslatter_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#ht-newslatter-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_newslatter_bg_color', '#f6f6f6');
        if('#f6f6f6' != $color){
            $custom_css .= '#ht-newslatter-section {background-color: '.$color.';}';
        }
    } 


       // For Footer

    if(get_theme_mod('lz_fitness_premium_footer_section_background','on') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_footer_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/footer-bg.jpg';
        
        $custom_css .= '#ht-colophon {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_footer_bg_color', '#fff');
        if('#fff' != $color){
            $custom_css .= '#ht-colophon {background-color: '.$color.';} .about-post{border-color:'.$color.';}';
        }
    }
//

// if(get_theme_mod('lz_fitness_premium_newslatter_section_background','on') == 'on' ){
        
//         $bgimg = get_theme_mod('lz_fitness_newslatter_bg_image');
//         $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/newsletter.jpg';
        
//         $custom_css .= '#ht-newslatter-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
//     }else{
//         $color = get_theme_mod('lz_fitness_newslatter_bg_color', '#fff');
//         if('#fff' != $color){
//             $custom_css .= '#ht-newslatter-section {background-color: '.$color.';}';
//         }
//     } 
    //

    //Inner page title color
    $innertitleColor = get_theme_mod('lz_fitness_template_innerpage_titlecolor', '#fff');
    $innertitlebgColor = get_theme_mod('lz_fitness_template_innerpage_bgcolor', '#45494a');
    $innerbreadcrumbtitleColor = get_theme_mod('lz_fitness_template_innerpage_breadcrumbtitlecolor', '#000');
    $innerbreadcrumbcurrenttitleColor = get_theme_mod('lz_fitness_template_innerpage_breadcrumbcurrenttitlecolor', '#1cb9c8');
    $innerbreadcrumbbgeColor = get_theme_mod('lz_fitness_template_innerpage_breadcrumbbgcolor', '#fff');
    $innerbreadcrumbborderColor = get_theme_mod('lz_fitness_template_innerpage_breadcrumbordercolor', '#1cb9c8');
    $custom_css .= '.ht-main-title, .single-productpage .ht-main-title {color: '.$innertitleColor.';}
    .page-main-header {background-color: '.$innertitlebgColor.';}
    .breadcrumbbox span{color: '.$innerbreadcrumbtitleColor.';}
    .breadcrumbbox span a {color: '.$innerbreadcrumbcurrenttitleColor.';}
    .breadcrumbbox {background-color: '.$innerbreadcrumbbgeColor.';}
    .breadcrumbbox {border-color: '.$innerbreadcrumbborderColor.';}';

    //Footer background color
    $footertitleColor = get_theme_mod('lz_fitness_footer_title_color', '#fff');
    $footericonColor = get_theme_mod('lz_fitness_footer_icon_color', '#fff');
    $footericonhoverColor = get_theme_mod('lz_fitness_footer_iconhover_color', '#1cb9c8');
    $footertextColor = get_theme_mod('lz_fitness_footer_text_color', '#ffffff');
    $footermenuColor = get_theme_mod('lz_fitness_footer_menu_color', '#ffffff');
    $footermenuhoverColor = get_theme_mod('lz_fitness_footer_menuhover_color', '#1cb9c8');

    $footermenuiconColor = get_theme_mod('lz_fitness_footer_menuicon_color', '#ffffff');
    $footermenuiconhoverColor = get_theme_mod('lz_fitness_footer_menuiconhover_color', '#1cb9c8');


     $footermenudateColor = get_theme_mod('lz_fitness_footer_menudate_color', '#fff');
    $footerformColor = get_theme_mod('lz_fitness_footer_form_color', '#fff');
    $footerformborderColor = get_theme_mod('lz_fitness_footer_formborder_color', '#fff');
    $footerbtnColor = get_theme_mod('lz_fitness_footer_formbtn_color', '#fff');
    $footerbtnbgColor = get_theme_mod('lz_fitness_footer_formbtnbg_color', '#1cb9c8');
    $footersocialColor = get_theme_mod('lz_fitness_footer_social_color', '#8d8d8e');
    $footersocialhoverColor = get_theme_mod('lz_fitness_footer_socialhover_color', '#fff');
    $footersocialbgColor = get_theme_mod('lz_fitness_footer_socialbg_color', '#1b1c1c');
    $footersocialbghoverColor = get_theme_mod('lz_fitness_footer_socialbghover_color', '#1cb9c8');
    $footersocialborderColor = get_theme_mod('lz_fitness_footer_socialborder_color', '#8d8d8e');
    $footersocialborderhoverColor = get_theme_mod('lz_fitness_footer_socialborderhover_color', '#fff');
    $footercopyrighttextColor = get_theme_mod('lz_fitness_footer_copyrighttext_color', '#fff');
    $footercopyrightborderColor = get_theme_mod('lz_fitness_footer_copyrightborder_color', '#ffffff');
    $custom_css .= '#ht-colophon .widget-title{color: '.$footertitleColor.';}
    footer#ht-colophon p i{color: '.$footericonColor.';}
    footer#ht-colophon p i:hover{color: '.$footericonhoverColor.';}
    footer#ht-colophon p{color: '.$footertextColor.';}
   footer#ht-colophon ul li a{color: '.$footermenuColor.';}

   footer#ht-colophon ul li span.post-date{color: '.$footermenudateColor.';}
    footer#ht-colophon ul li a:hover{color: '.$footermenuhoverColor.';}
  .ht-top-footer ul li:before{color: '.$footermenuiconColor.';} 
  .ht-top-footer ul li:hover:before{color: '.$footermenuiconhoverColor.';} 
    

   #ht-top-footer input[type="text"], 
#ht-top-footer input[type="email"], 
#ht-top-footer input[type="url"], 
#ht-top-footer input[type="password"], 
#ht-top-footer input[type="search"], 
#ht-top-footer input[type="number"], 
#ht-top-footer input[type="tel"], 
#ht-top-footer input[type="range"], 
#ht-top-footer input[type="date"], 
#ht-top-footer input[type="month"], 
#ht-top-footer input[type="week"], 
#ht-top-footer input[type="time"], 
#ht-top-footer input[type="datetime"], 
#ht-top-footer input[type="datetime-local"], 
#ht-top-footer input[type="color"],
#ht-top-footer textarea,
#ht-top-footer select,
#ht-top-footer input::placeholder, 
#ht-top-footer textarea::placeholder{color: '.$footerformColor.';}

  #ht-top-footer input[type="text"], 
#ht-top-footer input[type="email"], 
#ht-top-footer input[type="url"], 
#ht-top-footer input[type="password"], 
#ht-top-footer input[type="search"], 
#ht-top-footer input[type="number"], 
#ht-top-footer input[type="tel"], 
#ht-top-footer input[type="range"], 
#ht-top-footer input[type="date"], 
#ht-top-footer input[type="month"], 
#ht-top-footer input[type="week"], 
#ht-top-footer input[type="time"], 
#ht-top-footer input[type="datetime"], 
#ht-top-footer input[type="datetime-local"], 
#ht-top-footer input[type="color"],
#ht-top-footer textarea,
#ht-top-footer select{border-color: '.$footerformborderColor.';}
    .ht-top-footer input[type="submit"]{color: '.$footerbtnColor.';}
  .ht-top-footer input[type="submit"]{background-color: '.$footerbtnbgColor.';}
   .social-profile-icons ul li i{color: '.$footersocialColor.';}
     .social-profile-icons ul li i:hover{color: '.$footersocialhoverColor.';}
  .social-profile-icons ul li i{background-color: '.$footersocialbgColor.';}
    .social-profile-icons ul li i:hover{background-color: '.$footersocialbghoverColor.';}
   .social-profile-icons ul li i{border-color: '.$footersocialborderColor.';}
  .social-profile-icons ul li i:hover{border-color: '.$footersocialborderhoverColor.';}
  .ht-site-info{color: '.$footercopyrighttextColor.';}
   #ht-top-footer .footborder{border-color: '.$footercopyrightborderColor.';}';

	//about us heading & text color
     $aboutHeadingColor = get_theme_mod('lz_fitness_aboutus_page_HeadingColor', '#303030');
      $aboutHeadingborderColor = get_theme_mod('lz_fitness_aboutus_page_HeadingborderColor', '#1cb9c8');

       $aboutsubHeadingColor = get_theme_mod('lz_fitness_aboutus_page_subtitleColor', '#292929');
        $aboutTextColor = get_theme_mod('lz_fitness_aboutus_page_TextColor', '#464646');
        $aboutTexthighlightColor = get_theme_mod('lz_fitness_aboutus_page_TexthighlightColor', '#1cb9c8');

         $aboutbtntextColor = get_theme_mod('lz_fitness_aboutus_page_btnTextColor', '#fff');
          $aboutbtnbgColor = get_theme_mod('lz_fitness_aboutus_page_btnbgColor', '#1cb9c8');
           $aboutbtntexthoverColor = get_theme_mod('lz_fitness_aboutus_page_btnTexthoverColor', '#fff');
          $aboutbtnbghoverColor = get_theme_mod('lz_fitness_aboutus_page_btnbghoverColor', '#3a3c3d');

           $aboutimgoverlayColor = get_theme_mod('lz_fitness_aboutus_page_imgoveralyColor', '#1cb9c8');
            $aboutimgborderColor = get_theme_mod('lz_fitness_aboutus_page_imgborderColor', '#1cb9c8');

    $custom_css .= '#ht-about-us-section .lz-about-heading, .ht-content.lz-about-text h3{color: '.$aboutHeadingColor.';} 
    #ht-about-us-section .ht-section-title-tagline:before, 
    #ht-about-us-section .ht-section-title-tagline:after,  
   #ht-about-us-section .dlab-separator[class*="style-"]:before, 
   #ht-about-us-section .dlab-separator[class*="style-"]:after{border-color: '.$aboutHeadingborderColor.';} 

  #ht-about-us-section .about-subheading{color: '.$aboutsubHeadingColor.';} 

    #ht-about-us-section .ht-section-tagline, #ht-about-us-section ul li, #ht-about-us-section .lz-about-text{color: '. $aboutTextColor.';}
     #ht-about-us-section .lz-about-text span{color: '. $aboutTexthighlightColor.';}

    #ht-about-us-section .readmore a{color: '. $aboutbtntextColor.';}
     #ht-about-us-section .readmore{background-color: '. $aboutbtnbgColor.';}

    #ht-about-us-section .readmore a:hover{color: '. $aboutbtntexthoverColor.';}
     #ht-about-us-section .readmore:hover, #ht-about-us-section .readmore:before{background-color: '. $aboutbtnbghoverColor.';}
    #ht-about-us-section .aboutbox-img:after{background-color: '. $aboutimgoverlayColor.';}
    .aboutborder{border-color: '. $aboutimgborderColor.';}
    .aboutborder:before, .aboutborder:after{border-right-color: '. $aboutimgborderColor.';}
      ';

//Inner gallery page color
   
    $galleryinnerimgborderColor = get_theme_mod('galleryinner_imgborderColor', '#c1c1c1');
      $galleryinnerimgborderhoverColor = get_theme_mod('galleryinner_imgborderhoverColor', '#1cb9c8');
       // $galleryinnerimgoverlayColor = get_theme_mod('galleryinner_imgoverlayColor', '#fff');

    $custom_css .= '#innerpage-box .lz-gallery-images, #innerpage-box .ht-gallery-member-image{border-color: '.$galleryinnerimgborderColor.';} 
   #innerpage-box .lz-gallery-images:hover , #innerpage-box .ht-gallery-member-image:hover{border-color: '.$galleryinnerimgborderhoverColor.';} 
    ';

//Inner faq page color
   
    $faqinnerQborderColor = get_theme_mod('lz_fitness_faqsinner_QborderColor', '#000');
       $faqinnerQdarkborderColor = get_theme_mod('lz_fitness_faqsinner_QdarkborderColor', '#1cb9c8');
       $faqinnerQbgColor = get_theme_mod('lz_fitness_faqsinner_QbgColor', '#44494a');
        $faqinnerQtextColor = get_theme_mod('lz_fitness_faqsinner_QtextColor', '#fff');
        $faqinnerQarrowColor = get_theme_mod('lz_fitness_faqsinner_QdownarrowColor', '#fff');

        $faqinnerAtextColor = get_theme_mod('lz_fitness_faqsinner_AtextColor', '#333333');
        $faqinnerAbgColor = get_theme_mod('lz_fitness_faqsinner_AbgColor', '#fff');
        $faqinnerAbghoverColor = get_theme_mod('lz_fitness_faqsinner_AbghoverColor', '#f1f1f1');
        $faqinnerAborderColor = get_theme_mod('lz_fitness_faqsinner_AborderColor', '#cdcdcd');
    $custom_css .= '#innerpage-box .faq h6{border-color: '.$faqinnerQborderColor.';} 
    #innerpage-box .faq h6{border-left-color: '.$faqinnerQdarkborderColor.';} 
    #innerpage-box .faq h6{background-color: '.$faqinnerQbgColor.';} 
   #innerpage-box .faq h6{color: '.$faqinnerQtextColor.';} 
   div#content-box .faq-content button.accordion:after, div#content-box .faq-content button.accordion.active:after{color: '.$faqinnerQarrowColor.';} 

    #innerpage-box .faq-description{color: '.$faqinnerAtextColor.';} 
#innerpage-box .faq-description{background-color: '.$faqinnerAbgColor.';} 
    #innerpage-box .faq-description{border-color: '.$faqinnerAborderColor.';} 

  #innerpage-box .faq-description:before{background-color: '.$faqinnerAbghoverColor.';} 

    ';



 // main header background color
   // $TopHeaderColor = get_theme_mod('lz_fitness_header_TopHeaderbackgroundColor', '#fff');
   // $TopHeaderborderColor = get_theme_mod('lz_fitness_header_TopHeaderborderColor', '#f4f4f4');
    $MedalHeaderColor = get_theme_mod('lz_fitness_header_MedalHeaderbackgroundColor', '#fff');
    $NavHeaderColor = get_theme_mod('lz_fitness_header_NavHeaderbackgroundColor', '#1cb9c8');
   // $maintaglineColor = get_theme_mod('lz_fitness_header_taglineColor', '#464646');

    $socialColor = get_theme_mod('lz_fitness_header_socialColor', '#464949');
    $socialhoverColor = get_theme_mod('lz_fitness_header_socialhoverColor', '#1cb9c8');

    $socialbgColor = get_theme_mod('lz_fitness_header_socialbgColor', '#eaeaea');
    $socialbghoverColor = get_theme_mod('lz_fitness_header_socialbghoverColor', '#fff');

    $headericonColor = get_theme_mod('lz_fitness_header_iconColor', '#fff');
    $headericonhoverColor = get_theme_mod('lz_fitness_header_iconhoverColor', '#1cb9c8');
    $headericonbgColor = get_theme_mod('lz_fitness_header_iconbgColor', '#1cb9c8');
    $headertitleColor = get_theme_mod('lz_fitness_header_titleColor', '#464646');
     $headertitlehoverColor = get_theme_mod('lz_fitness_header_titlehoverColor', '#1cb9c8');
    $headeremailColor = get_theme_mod('lz_fitness_header_emailColor', '#464646');
    $headeremailhoverColor = get_theme_mod('lz_fitness_header_emailhoverColor', '#1cb9c8');
    $headercontactborderColor = get_theme_mod('lz_fitness_header_contactboxborderColor', '#f4f4f4');

     $headermenuColor = get_theme_mod('lz_fitness_headermenu_color', '#fff');
     $headercurrentmenuColor = get_theme_mod('lz_fitness_headercurrentmenu_color', '#fff');
     $headermenuhoverColor = get_theme_mod('lz_fitness_headermenuhover_color', '#fff');
    $headercurrentmenubgColor = get_theme_mod('lz_fitness_headercurrentmenubg_color', '#45494a');
     $headermenuhoverbgColor = get_theme_mod('lz_fitness_headermenuhoverbg_color', '#45494a');
     $headersubmenuColor = get_theme_mod('lz_fitness_headersubmenu_color', '#fff');
     $headerdropdownbgColor = get_theme_mod('lz_fitness_headerdropdownbg_color', '#1cb9c8');
     $headerdropdownborderColor = get_theme_mod('lz_fitness_headerdropdownborder_color', '#272727');
     $headersubmenuhoverColor = get_theme_mod('lz_fitness_headersubmenuhover_color', '#000');
     $headersubmenuarrowhoverColor = get_theme_mod('lz_fitness_headersubmenuarrowhover_color', '#000');

    $headercurrentsubmenuColor = get_theme_mod('lz_fitness_headercurrentsubmenu_color', '#fff');
    $headercurrentsubmenubgColor = get_theme_mod('lz_fitness_headercurrentsubmenubg_color', '#45494a');

     $headerbtnColor = get_theme_mod('lz_fitness_headerbtn_color', '#fff');
     $headerbtnbgColor = get_theme_mod('lz_fitness_headerbtnbg_color', '#45494a');
     $headerbtnhoverColor = get_theme_mod('lz_fitness_headerbtnhover_color', '#1cb9c8');
     $headerbtnbghoverColor = get_theme_mod('lz_fitness_headerbtnbghover_color', '#000');

    $headersearchiconColor = get_theme_mod('lz_fitness_headersearchicon_color', '#fff');
    $headersearchtextColor = get_theme_mod('lz_fitness_headersearchtext_color', '#fff');
    $headersearchtextborderColor = get_theme_mod('lz_fitness_headersearchtextborder_color', '#f4f4f4');
    $headersearchbtnbghoverColor = get_theme_mod('lz_fitness_headersearchbtnbghover_color', '#47484a');

    $custom_css .= '
    .medal-header{background-color: '.$MedalHeaderColor.';}
    .header-transparent{background-color: '.$NavHeaderColor.';}

    .header-social-links a span{color: '.$socialColor.';}
    .header-social-links a span{background-color: '.$socialbgColor.';}

    .header-social-links a span:hover{color: '.$socialhoverColor.';}
    .header-social-links a span:hover{background-color: '.$socialbghoverColor.';}

    header.site-header .header-right-box i{color: '.$headericonColor.';}
    header.site-header .header-right-box i:hover{color: '.$headericonhoverColor.';}
    header.site-header .header-right-box i{background-color: '.$headericonbgColor.';}
    .header-right-box .themetext a{color: '.$headertitleColor.';}
     .header-right-box .themetext a:hover{color: '.$headertitlehoverColor.';}
    .header-right-box .mailto a{color: '.$headeremailColor.';}
    .header-right-box .mailto a:hover{color: '.$headeremailhoverColor.';}
     #ht-masthead .headbox{border-color: '.$headercontactborderColor.';}

    ul.mainmenu li a{color: '.$headermenuColor.';}
    ul.mainmenu li.current_page_item a, 
    .page-template-home-template .ht-main-navigation .current_page_item > a{color: '.$headercurrentmenuColor.';}
     ul.mainmenu li a:hover{color: '.$headermenuhoverColor.';}
    header.site-header li.current_page_item > a{background-color: '.$headercurrentmenubgColor.';}
     ul.mainmenu li a:hover{background-color: '.$headermenuhoverbgColor.';}
    .mainmenu .sub-menu li a{color: '.$headersubmenuColor.';}
    ul.sub-menu{background-color: '.$headerdropdownbgColor.';}
    ul.sub-menu{border-color: '.$headerdropdownborderColor.' !important;}
     .mainmenu .sub-menu li a:hover{color: '.$headersubmenuhoverColor.' !important;}
    ul.mainmenu ul.sub-menu li a:before {color: '.$headersubmenuarrowhoverColor.';}

    ul.sub-menu li.current_page_item a{color: '.$headercurrentsubmenuColor.';}
     ul.sub-menu li.current_page_item a{background-color: '.$headercurrentsubmenubgColor.';}

     .header-inquiry-btn .head-button a{color: '.$headerbtnColor.';}
    .header-inquiry-btn .head-button a, .header-inquiry-btn .head-button{background-color: '.$headerbtnbgColor.';}
    .header-inquiry-btn .head-button:hover a{color: '.$headerbtnhoverColor.';}
     .header-inquiry-btn .head-button:hover a, .header-inquiry-btn .head-button:hover{background-color: '.$headerbtnbghoverColor.';}

    .upper-header .sb-icon-search{color: '.$headersearchiconColor.';}
    .upper-header .sb-search-input, .upper-header input[type="search"]{color: '.$headersearchtextColor.';}
    .upper-header .sb-search-input, .upper-header input[type="search"]{border-color: '.$headersearchtextborderColor.';}
    .upper-header input[type="submit"]:hover{background-color: '.$headersearchbtnbghoverColor.';}
    ';

       //Inner page title color
    $innertitleColor = get_theme_mod('lz_fitness_template_innerpage_titlecolor', '#fff');
    $custom_css .= '.ht-main-title {color: '.$innertitleColor.';}';



 // Inner contact us page background color
    $ContactusdetailiconColor = get_theme_mod('lz_fitness_contactus_detailiconColor', '#444');
    $ContactusdetailtitleColor = get_theme_mod('lz_fitness_contactus_detailtitleColor', '#444');
    $ContactusdetailinfoColor = get_theme_mod('lz_fitness_contactus_detailinfoColor', '#444');
    $ContactusdetailemailColor = get_theme_mod('lz_fitness_contactus_detailemailColor', '#1cb9c8');
    $ContactusdetailemailhoverColor = get_theme_mod('lz_fitness_contactus_detailemailhoverColor', '#45494a');
    $ContactusformtitleColor = get_theme_mod('lz_fitness_contactus_formtitleColor', '#fff');
    $ContactusformbgColor = get_theme_mod('lz_fitness_contactus_formbgColor', '#1cb9c8');
    $ContactusformlabelColor = get_theme_mod('lz_fitness_contactus_formlabelColor', '#fff');
    $ContactusformtextplaceColor = get_theme_mod('lz_fitness_contactus_formtextplaceColor', '#fff');
    $ContactusformborderbottomColor = get_theme_mod('lz_fitness_contactus_formborderbottomColor', '#fff');
    $ContactusformbtnColor = get_theme_mod('lz_fitness_contactus_formbtnColor', '#1cb9c8');
    $ContactusformbtnbgColor = get_theme_mod('lz_fitness_contactus_formbtnbgColor', '#fff');
     $ContactusformbtnhoverColor = get_theme_mod('lz_fitness_contactus_formbtnhoverColor', '#fff');
    $ContactusformbtnbghoverColor = get_theme_mod('lz_fitness_contactus_formbtnbghoverColor', '#45494a');
    //$ContactusformbtnborderhoverColor = get_theme_mod('lz_fitness_contactus_formbtnborderhoverColor', '#000');
     $ContactusformdtextColor = get_theme_mod('lz_fitness_contactus_formdtextColor', '#fff');
    $ContactussocialtitleColor = get_theme_mod('lz_fitness_contactus_SocialtitleColor', '#303030');
    $ContactussocialColor = get_theme_mod('lz_fitness_contactus_SocialTitleColor', '#464949');
    $ContactussocialbgColor = get_theme_mod('lz_fitness_contactus_SocialbgColor', '#eaeaea');
    $ContactussocialhoverColor = get_theme_mod('lz_fitness_contactus_SocialTitlehoverColor', '#1cb9c8');
    $ContactussocialbghoverColor = get_theme_mod('lz_fitness_contactus_SocialbghoverColor', '#fff');
    $ContactusmapbgColor = get_theme_mod('lz_fitness_contactus_mapbgColor', '#1cb9c8');
    $custom_css .= '.contact-page-address .ht-section-tagline{color: '.$ContactusdetailtitleColor.';}
    .contact-page-address .ht-section-tagline span {color: '.$ContactusdetailiconColor.';}
    .contact-page-address .contact-info {color: '.$ContactusdetailinfoColor.';}
    #innerpage-box .contact-info a{color: '.$ContactusdetailemailColor.';}
     #innerpage-box .contact-info a:hover {color: '.$ContactusdetailemailhoverColor.';}
    #ht-contactus-wrap h4 {color: '.$ContactusformtitleColor.';}
    #ht-contactus-wrap .contact-page-form {background-color: '.$ContactusformbgColor.';}
    #ht-contactus-wrap label {color: '.$ContactusformlabelColor.';}
     #ht-contactus-wrap input[type="text"], 
     #ht-contactus-wrap input[type="email"], 
     #ht-contactus-wrap input[type="url"], 
     #ht-contactus-wrap input[type="password"], 
     #ht-contactus-wrap input[type="search"], 
     #ht-contactus-wrap input[type="number"], 
     #ht-contactus-wrap input[type="tel"], 
     #ht-contactus-wrap input[type="range"], 
     #ht-contactus-wrap input[type="date"], 
     #ht-contactus-wrap input[type="month"], 
     #ht-contactus-wrap input[type="week"], 
     #ht-contactus-wrap input[type="time"], 
     #ht-contactus-wrap input[type="datetime"],
     #ht-contactus-wrap input[type="datetime-local"], 
     #ht-contactus-wrap input[type="color"],
     #ht-contactus-wrap select,
     #ht-contactus-wrap textarea,
     #ht-contactus-wrap input::placeholder,
     #ht-contactus-wrap textarea::placeholder,
    #ht-contactus-wrap select::placeholder {color: '.$ContactusformtextplaceColor.';}
    #ht-contactus-wrap input[type="text"], 
     #ht-contactus-wrap input[type="email"], 
     #ht-contactus-wrap input[type="url"], 
     #ht-contactus-wrap input[type="password"], 
     #ht-contactus-wrap input[type="search"], 
     #ht-contactus-wrap input[type="number"], 
     #ht-contactus-wrap input[type="tel"], 
     #ht-contactus-wrap input[type="range"], 
     #ht-contactus-wrap input[type="date"], 
     #ht-contactus-wrap input[type="month"], 
     #ht-contactus-wrap input[type="week"], 
     #ht-contactus-wrap input[type="time"], 
     #ht-contactus-wrap input[type="datetime"],
     #ht-contactus-wrap input[type="datetime-local"], 
     #ht-contactus-wrap input[type="color"],
     #ht-contactus-wrap select,
     #ht-contactus-wrap textarea {border-color: '.$ContactusformborderbottomColor.';}
    #ht-contactus-wrap input[type="submit"] {color: '.$ContactusformbtnColor.';}
     #ht-contactus-wrap input[type="submit"] {background-color: '.$ContactusformbtnbgColor.';}
     #ht-contactus-wrap input[type="submit"]:hover{color: '.$ContactusformbtnhoverColor.';}
    #ht-contactus-wrap input[type="submit"]:hover{background-color: '.$ContactusformbtnbghoverColor.';}
    #ht-contactus-wrap .contact-page-form{color: '.$ContactusformdtextColor.';}
    #ht-contactus-wrap h3 {color: '.$ContactussocialtitleColor.';}
    #ht-contactus-wrap .contact-sm-links li a {color: '.$ContactussocialColor.';}
    #ht-contactus-wrap .contact-sm-links li a {background-color: '.$ContactussocialbgColor.';}
  #innerpage-box span.fa:hover, #ht-contactus-wrap .contact-sm-links li a:hover {color: '.$ContactussocialhoverColor.';}
   #ht-contactus-wrap .contact-sm-links li a:hover{background-color: '.$ContactussocialbghoverColor.';}
    .contact-mapbox iframe {background-color: '.$ContactusmapbgColor.';}';

    // slider color
    $slidertitleColor = get_theme_mod('slider_TitleColor', '#fff');
    //$slidersubtitleColor = get_theme_mod('slider_SubtitleColor', '#fff');
    $sliderbuttontextColor = get_theme_mod('slider_buttontextColor', '#fff');
    $sliderbtnbgColor = get_theme_mod('slider_buttonbgColor', '#1cb9c8');
    $sliderbuttontexthoverColor = get_theme_mod('slider_buttontexthoverColor', '#fff');
    $sliderbtnbghoverColor = get_theme_mod('slider_buttonbghoverColor', '#3a3c3d');
    $custom_css .= '.ht-slide-cap-title span, .ht-slide-cap-title {color: '.$slidertitleColor.';}
    .sliderbtn .ht-slide-cap-descmore a {color: '.$sliderbuttontextColor.';}
    .sliderbtn .ht-slide-cap-descmore{background-color: '.$sliderbtnbgColor.';}
    .sliderbtn .ht-slide-cap-descmore a:hover{color: '.$sliderbuttontexthoverColor.';}
    .sliderbtn .ht-slide-cap-descmore:hover, .sliderbtn .ht-slide-cap-descmore:before{background-color: '.$sliderbtnbghoverColor.';}


    ';


//gauranty color
   $gaurantyHeadingColor = get_theme_mod('lz_fitness_gauranty_HeadingColor', '#000');
   $gaurantyHeadinghighlightColor = get_theme_mod('lz_fitness_gauranty_Heading_highlightColor', '#1cb9c8');
    $gaurantyborderColor = get_theme_mod('lz_fitness_gauranty_borderColor', '#a6a6a6');
  $gaurantyTextColor = get_theme_mod('lz_fitness_gauranty_TextColor', '#464648');
   
    $custom_css .= '.ht-section-gurantybox h2.lz-guranty-heading {color: '.$gaurantyHeadingColor.';}
    .ht-section-gurantybox h2.lz-guranty-heading span {color: '.$gaurantyHeadinghighlightColor.';}
    .ht-section-gurantybox h2.lz-guranty-heading {border-color: '.$gaurantyborderColor.';}
    .ht-section-gurantybox .lz-guranty-text{color: '.$gaurantyTextColor.';}
    ';


// featured  section heading & text color
    $featuredHeadingColor = get_theme_mod('lz_featured_HeadingColor', '#303030');
    $featuredborderColor = get_theme_mod('lz_featured_borderColor', '#1cb9c8');
    $featuredimghoverColor = get_theme_mod('lz_featuredimghover_Color', '#1cb9c8');
     $featurednumColor = get_theme_mod('lz_featurednum_Color', '#3a3c3d');
      $featuredboxborderColor = get_theme_mod('lz_featuredborder_Color', '#d2d2d2');

    $featuredTitleColor = get_theme_mod('lz_featuredtitle_Color', '#161616');
      $featuredTitlehoverColor = get_theme_mod('lz_featuredtitlehover_Color', '#1cb9c8');
    $featuredTextColor = get_theme_mod('lz_featuredtext_Color', '#383838');
     $featuredboxbgColor = get_theme_mod('lz_featuredboxbg_Color', '#faf8f5');
    //$featuredbtntextColor = get_theme_mod('lz_featuredbtntext_Color', '#fff');
   // $featuredbtnbgColor = get_theme_mod('lz_featuredbtnbg_Color', '#3a3c3d');
   // $featuredbtntexthoverColor = get_theme_mod('lz_featuredbtntexthover_Color', '#fff');
   // $featuredbtnbghoverColor = get_theme_mod('lz_featuredbtnbghover_Color', '#1cb9c8');
    
    $custom_css .= '.lz-featured-Post-heading{color: '.$featuredHeadingColor.';}
    #featured-post-section .ht-section-title-tagline:before, 
    #featured-post-section .ht-section-title-tagline:after,  
    #featured-post-section .dlab-separator[class*="style-"]:before, 
    #featured-post-section .dlab-separator[class*="style-"]:after{border-color: '.$featuredborderColor.';}
    #featured-post-section .hover-ripple{background-color: '.$featuredimghoverColor.';}

     #featured-post-section .featured-post-box .ser-num{color: '.$featurednumColor.';}

     #featured-post-section .featured-post-box .featured-data{border-color: '.$featuredboxborderColor.';}

    #featured-post-section .featured-post h5{color: '.$featuredTitleColor.';}

   #featured-post-section .featured-post-box:hover .featured-data h5{color: '.$featuredTitlehoverColor.';}
   
    #featured-post-section .featured-post-box .featured-data p {color: '.$featuredTextColor.';}

    #featured-post-section .featured-post{background-color: '.$featuredboxbgColor.';}
     ';


// featured  inner page  color
    $featuredinnerimghoverColor = get_theme_mod('lz_featuredinnerimghover_Color', '#1cb9c8');
     $featuredinnernumColor = get_theme_mod('lz_featuredinnernum_Color', '#3a3c3d');
      $featuredinnernumhoverColor = get_theme_mod('lz_featuredinnernumhover_Color', '#fff');
      $featuredinnerboxborderColor = get_theme_mod('lz_featuredinnerborder_Color', '#d2d2d2');

    $featuredinnerTitleColor = get_theme_mod('lz_featuredinnertitle_Color', '#161616');
    $featuredinnerTextColor = get_theme_mod('lz_featuredinnertext_Color', '#383838');
      $featuredinnerTitlehoverColor = get_theme_mod('lz_featuredinnertitlehover_Color', '#fff');
    $featuredinnerTexthoverColor = get_theme_mod('lz_featuredinnertexthover_Color', '#fff');

    $featuredinnerboxbgColor = get_theme_mod('lz_featuredboxinnerbg_Color', '#faf8f5');
    //$featuredinnerbtntextColor = get_theme_mod('lz_featuredinnerbtntext_Color', '#fff');
   // $featuredinnerbtnbgColor = get_theme_mod('lz_featuredinnerbtnbg_Color', '#3a3c3d');
   // $featuredinnerbtntexthoverColor = get_theme_mod('lz_featuredinnerbtntexthover_Color', '#fff');
   // $featuredinnerbtnbghoverColor = get_theme_mod('lz_featuredinnerbtnbghover_Color', '#1cb9c8');
    
    $custom_css .= '
    #innerpage-box .hover-ripple{background-color: '.$featuredinnerimghoverColor.';}

      #innerpage-box .featured-post-box .ser-num{color: '.$featuredinnernumColor.';}
    #innerpage-box .featured-post-box:hover .ser-num{color: '.$featuredinnernumhoverColor.';}
      #innerpage-box .featured-post-box .featured-data{border-color: '.$featuredinnerboxborderColor.';}

   #innerpage-box .featured-post h5{color: '.$featuredinnerTitleColor.';}
   
    #innerpage-box .featured-post-box .featured-data p {color: '.$featuredinnerTextColor.';}
    #innerpage-box .featured-post-box:hover .featured-data h5{color: '.$featuredinnerTitlehoverColor.';}
   
    #innerpage-box .featured-post-box:hover .featured-data p {color: '.$featuredinnerTexthoverColor.';}

    #innerpage-box .featured-post{background-color: '.$featuredinnerboxbgColor.';}
';



// featured  New section heading & text color
    $featurednewHeadingColor = get_theme_mod('lz_fitness_featured_new_HeadingColor', '#fff');
    /*if($primColor == $featurednewHeadingColor){
        $featurednewHeadingColor = $headingColor;
    }*/
    $featurednewTitleColor = get_theme_mod('lz_fitness_featured_new_TitleColor', '#fff');
    $featurednewIcontextColor = get_theme_mod('lz_fitness_featured_new_IconColor', '#303030');
    $featurednewDescColor = get_theme_mod('lz_fitness_featured_new_DescColor', '#fff');
    $custom_css .= '.lz-featured-new-heading{color: '.$featurednewHeadingColor.';}
    .featured-new-post h5{color: '.$featurednewTitleColor.';}
    #featured-new-section .featured-new-icon span{color: '.$featurednewIcontextColor.';}
    .featured-new-excerpt{color: '.$featurednewDescColor.';}';

 //Inner  Project  color
$projectProjectinnertitleColor = get_theme_mod('project_ProjectinnertitleColor', '#ffffff');
$projectProjectinnertitlebgsColor = get_theme_mod('project_ProjectinnertitlebgsColor', '#1cb9c8');
$ProjectoverlayinnerbgsColor = get_theme_mod('project_ProjectoverlayinnerbgsColor', '#1cb9c8');
$projectviewbtninnerColor = get_theme_mod('project_innerviewbtnColor', '#000');
$projectviewbtninnerhoverColor = get_theme_mod('project_innerviewbtnhoverColor', '#ffffff');


$custom_css .= '
#innerpage-box .ht-project-member .team-prof .post-title{color: '.$projectProjectinnertitleColor.';} 
#innerpage-box .ht-project-member .team-prof{background-color: '.$projectProjectinnertitlebgsColor.';} 
#innerpage-box .ht-project-member .project-main-box{background-color: '.$ProjectoverlayinnerbgsColor.';} 
#innerpage-box .project-button a, main#innerpage-box .project-button a{color: '.$projectviewbtninnerColor.';}
#innerpage-box .project-button a:hover, main#innerpage-box .project-button a:hover {color: '.$projectviewbtninnerhoverColor.';}'; 

    
    //Inner testimonials heading & text color

$testimonialsinnerTextColor = get_theme_mod('testimonialalsinner_TextColor', '#fff');

 $testimonialsinnerTitleColor = get_theme_mod('testimonialalsinner_TitleColor', '#fff');

  $testimonialsinnerdesgColor = get_theme_mod('testimonialalsinner_desgColor', '#fff');
$testimonialsinnerdesghoverColor = get_theme_mod('testimonialalsinner_desghoverColor', '#1cb9c8');
$testimonialsinnerdesgiconColor = get_theme_mod('testimonialalsinner_desgiconColor', '#fff');

$testimonialsinnerboxColor = get_theme_mod('testimonialalsinner_boxColor', '#45494a');
$testimonialsinnerboxborderColor = get_theme_mod('testimonialalsinner_boxborderColor', '#000');

$testimonialsinnerboxiconColor = get_theme_mod('testimonialalsinner_boxiconColor', '#fff');
$testimonialsinnerboxiconbgColor = get_theme_mod('testimonialalsinner_boxiconbgColor', '#1cb9c8');

    $custom_css .= '
   #innerpage-box .test-box p{color: '. $testimonialsinnerTextColor.';} 

  #innerpage-box .test-box h6{color: '. $testimonialsinnerTitleColor.';}

  #innerpage-box .testimonial-contentbox .text-designation{color: '. $testimonialsinnerdesgColor.';}
  #innerpage-box .testimonial-contentbox:hover .text-designation{color: '. $testimonialsinnerdesghoverColor.';}
  #innerpage-box .testimonial-contentbox .text-designation:before{color: '. $testimonialsinnerdesgiconColor.';}

  #innerpage-box .testimonial-contentbox{background-color: '. $testimonialsinnerboxColor.';}
  #innerpage-box .testimonial-contentbox{border-color: '. $testimonialsinnerboxborderColor.';}

  #innerpage-box .quote-shape{background-color: '. $testimonialsinnerboxiconbgColor.';}
    #innerpage-box .quote-shape:after{border-top-color: '. $testimonialsinnerboxiconbgColor.';}
   #innerpage-box .quote-shape:before{color: '. $testimonialsinnerboxiconColor.';}
    ';



    //faq
    $faqHeadingColor = get_theme_mod('lz_fitness_faq_HeadingColor', '#161616');
    $faqSubHeadingColor = get_theme_mod('lz_fitness_faq_TitleColor', '#161616');
    $faqTextColor = get_theme_mod('lz_fitness_faq_TextColor', '#333333');
    $custom_css .= '.faq-heading{color: '.$faqHeadingColor.';} 
      .faq h6{color: '.$faqSubHeadingColor.';} 
      .faq-description {color: '.$faqTextColor.';}';
    
	//gym heading & text color
    // timing and address section
     $timingHeadingColor = get_theme_mod('lz_fitness_gym_HeadingColor', '#323232');
     $timingTextColor = get_theme_mod('lz_fitness_gym_TextColor', '#232222');
    $custom_css .= '.lz-gym-heading{color: '.$timingHeadingColor.';} 
    .lz-fitness-time .days-time-day-time{color: '.$timingTextColor.';}';

	//plan heading & text color
    $planHeadingColor = get_theme_mod('lz_fitness_plan_HeadingColor', '#2b2b2b');
     $planTextColor = get_theme_mod('lz_fitness_plan_TextColor', '#4d4d4d');
    $custom_css .= '#ht-princing-post-section .lz-plan-heading {color: '.$planHeadingColor.';} #pricing-page .ht-princing-excerpt ul li{color: '.$planTextColor.';}
    ';


    // $newslatterHeadingColor = get_theme_mod('lz_fitness_newslatter_HeadingColor', $primColor);
    // if($primColor == $newslatterHeadingColor){
    //     $newslatterHeadingColor = $headingColor;
    // }
    // $newslatterTextColor = get_theme_mod('lz_fitness_newslatter_TextColor', '#333333');
    // //$custom_css .= '.lz-newslatter-heading{color: '.$newslatterHeadingColor.';} .lz-newslatter-text{color: '.$newslatterTextColor.';}';

    $custom = get_post_custom( $post->ID );

    $image_id = get_post_meta( $post->ID, '_listing_image_id', true );
    $thumbnail_html = wp_get_attachment_image_src( $image_id, 'larger');

    // echo '<pre />'; print_r($custom);
    // if(!empty($custom['useColor']) && $custom['useColor'][0]==1){
    //     if( isset( $custom['page_bg_color'][0] ) ){
    //         $custom_css .= '#innerpage-box{background-color:'.$custom['page_bg_color'][0].';}';
    //     }
    // }else{
    //     if( isset( $custom['_listing_image_id'][0]) ){
    //         $custom_css .= '#innerpage-box{background-image: url(\''.$thumbnail_html[0].'\');background-position: center;background-attachment: fixed;background-origin: content-box;background-size: cover;}';
    //     }
    // }


    $custom_css .='.border{border:1px solid #fff;}';

    return punte_css_strip_whitespace($custom_css);
}