<?php
/**
 *
 * @package LZ Fitness Premium
 */
if(get_theme_mod('lz_fitness_featured_section_disable') != 'on' ){ ?>
<section id="featured-post-section" class="ht-section">
	<div class="container">

		<?php	
				// echo "post id: ". 
			$lz_fitness_featured_page_id = get_theme_mod('lz_fitness_featured_page');			
			$lz_fitness_featured_title = get_theme_mod('lz_fitness_featured_title', 'OUR SERVICES');
			//$lz_fitness_featured_sub_title = get_theme_mod('lz_fitness_featured_sub_title', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.');
		?>
		<?php if( $lz_fitness_featured_title || $lz_fitness_featured_sub_title ){ ?>
		<div class="row">
					<div class="ht-section-title-tagline">
						<h2 class="ht-section-title lz-featured-Post-heading">
							<?php
							if(!empty($lz_fitness_featured_title))	{
								echo ($lz_fitness_featured_title);
							} ?>
						</h2> 
						<div class="dlab-separator-outer m-b0">
			                <div class="dlab-separator text-primary style-icon"></div>
			            </div>
					</div>
					
				<div class="clearfix"></div>
			</div>
		<?php } ?>
		<div class="row">		
	 
			<?php 
			$showStatic = true;
			$cols = get_theme_mod('lz_fitness_featured_npp_count', 5);
			$cols++;
			switch($cols){
				case 1:
					$colCls = 'col-md-12 col-sm-12 col-xs-12';
					break;
				case 2:
					$colCls = 'col-md-6 col-sm-6 col-xs-12';
					break;
				case 3:
				case 5:
				case 6:
				case 9:
					$colCls = 'col-md-4 col-sm-6 col-xs-12';
					break;
				default:
					$colCls = 'col-md-3 col-sm-6 col-xs-12';
					break;
			}
			for( $i = 1; $i <= $cols; $i++ ){
				$lz_fitness_featured_page_id = get_theme_mod('lz_fitness_featured_page'.$i); 
				$lz_fitness_featured_page_icon = get_theme_mod('lz_fitness_featured_page_icon'.$i);
				if($lz_fitness_featured_page_id){
					$showStatic = false;
					echo featuredShortCode($lz_fitness_featured_page_id, $isCustomizer=true, $i);
				}
			}
			// adding the static content
			if($showStatic === true){
				for( $i = 1; $i <= $cols; $i++ ){ ?>
				<div class="<?php echo $colCls;?> fpost">
							
					<div class="featured-post-box hoverable">
						<div class="featured-post ov-hidden">
							<a class="secondry-bg" href="#">		
								<div class="featured-icon">
									<img class="secondry-bg" src="<?php echo esc_url(get_template_directory_uri().'/images/services.jpg');?>" alt="services" />
									<div class="hover-ripple right" style="opacity: 0.8;"></div>
								</div>
							</a>	
						
						<div class="row row-eq-height">
							<div class="col-md-2 col-sm-2 col-xs-2 padding0">
								<div class="inside-full-height">
									<!-- <div class="ser-num">01</div> -->
									
									<div class="ser-num">01</div>

								</div>
							</div>
							<div class="col-md-10 col-sm-10 col-xs-10 padding0">
								<div class="inside-full-height">
									<div class="featured-data">
										<h5>Business Services</h5>
										<div class="clearfix"></div>
										<p>There are many variations of passages of Lorem Ipsum available, but majority have suffered alteration in some form.</p>
									</div>
								</div>
							</div>
							<div class="clearfix"></div>
						</div>
						</div>
						<div class="clearfix"></div>
					</div>	
								
				</div>
				<?php 
				}
			} ?>
		</div>
		<div class="clearfix"></div>
		</div>	
	<div class="clearfix"></div>
</section>
<script>
  jQuery.noConflict();
  $(function(){
    function featuredpostboxHeight(){
      var ht = 0;
      $('#featured-post-section .featured-post-box').each(function(i){
        var tHt = $(this).height();
        if(ht<tHt){
          ht=tHt;
        }
      });
      $('#featured-post-section .featured-post-box').height(ht+'px');
    }
    featuredpostboxHeight();
  });
  $( window ).resize(function(){
    featuredpostboxHeight();
  });
</script>
<?php }
